<!doctype html>
<html lang="en">
<head>
  <meta charset='utf-8'>
  <title>@cherrypulp/vue-gdpr 0.0.1 | Documentation</title>
  <meta name='description' content='Gdpr Vue Plugin'>
  <meta name='viewport' content='width=device-width,initial-scale=1'>
  <link href='assets/bass.css' rel='stylesheet'>
  <link href='assets/style.css' rel='stylesheet'>
  <link href='assets/github.css' rel='stylesheet'>
  <link href='assets/split.css' rel='stylesheet'>
</head>
<body class='documentation m0'>
    <div class='flex'>
      <div id='split-left' class='overflow-auto fs0 height-viewport-100'>
        <div class='py1 px2'>
          <h3 class='mb0 no-anchor'>@cherrypulp/vue-gdpr</h3>
          <div class='mb1'><code>0.0.1</code></div>
          <input
            placeholder='Filter'
            id='filter-input'
            class='col12 block input'
            type='text' />
          <div id='toc'>
            <ul class='list-reset h5 py1-ul'>
              
                
                <li><a
                  href='#gdpr'
                  class=" toggle-sibling">
                  gdpr
                  <span class='icon'>▸</span>
                </a>
                
                <div class='toggle-target display-none'>
                  
                  <ul class='list-reset py1-ul pl1'>
                    <li class='h5'><span>Static members</span></li>
                    
                      <li><a
                        href='#gdprcookie_name'
                        class='regular pre-open'>
                        .cookie_name
                      </a></li>
                    
                      <li><a
                        href='#gdprisbarvisible'
                        class='regular pre-open'>
                        .isBarVisible
                      </a></li>
                    
                      <li><a
                        href='#gdprismodalvisible'
                        class='regular pre-open'>
                        .isModalVisible
                      </a></li>
                    
                      <li><a
                        href='#gdprlevels'
                        class='regular pre-open'>
                        .levels
                      </a></li>
                    
                    </ul>
                  
                  
                  
                  
                </div>
                
                </li>
              
                
                <li><a
                  href='#gdprbar'
                  class=" toggle-sibling">
                  GdprBar
                  <span class='icon'>▸</span>
                </a>
                
                <div class='toggle-target display-none'>
                  
                  <ul class='list-reset py1-ul pl1'>
                    <li class='h5'><span>Static members</span></li>
                    
                      <li><a
                        href='#gdprbarname'
                        class='regular pre-open'>
                        .name
                      </a></li>
                    
                      <li><a
                        href='#gdprbarprops'
                        class='regular pre-open'>
                        .props
                      </a></li>
                    
                      <li><a
                        href='#gdprbardata'
                        class='regular pre-open'>
                        .data
                      </a></li>
                    
                      <li><a
                        href='#gdprbarcomputed'
                        class='regular pre-open'>
                        .computed
                      </a></li>
                    
                      <li><a
                        href='#gdprbarwatch'
                        class='regular pre-open'>
                        .watch
                      </a></li>
                    
                      <li><a
                        href='#gdprbarmethods'
                        class='regular pre-open'>
                        .methods
                      </a></li>
                    
                      <li><a
                        href='#gdprbarmounted'
                        class='regular pre-open'>
                        .mounted
                      </a></li>
                    
                    </ul>
                  
                  
                  
                  
                </div>
                
                </li>
              
                
                <li><a
                  href='#gdprmodal'
                  class=" toggle-sibling">
                  GdprModal
                  <span class='icon'>▸</span>
                </a>
                
                <div class='toggle-target display-none'>
                  
                  <ul class='list-reset py1-ul pl1'>
                    <li class='h5'><span>Static members</span></li>
                    
                      <li><a
                        href='#gdprmodalname'
                        class='regular pre-open'>
                        .name
                      </a></li>
                    
                      <li><a
                        href='#gdprmodalprops'
                        class='regular pre-open'>
                        .props
                      </a></li>
                    
                      <li><a
                        href='#gdprmodaldata'
                        class='regular pre-open'>
                        .data
                      </a></li>
                    
                      <li><a
                        href='#gdprmodalcomputed'
                        class='regular pre-open'>
                        .computed
                      </a></li>
                    
                      <li><a
                        href='#gdprmodalwatch'
                        class='regular pre-open'>
                        .watch
                      </a></li>
                    
                      <li><a
                        href='#gdprmodalmethods'
                        class='regular pre-open'>
                        .methods
                      </a></li>
                    
                      <li><a
                        href='#gdprmodalmounted'
                        class='regular pre-open'>
                        .mounted
                      </a></li>
                    
                    </ul>
                  
                  
                  
                  
                </div>
                
                </li>
              
                
                <li><a
                  href='#deletecookie'
                  class="">
                  deleteCookie
                  
                </a>
                
                </li>
              
                
                <li><a
                  href='#vuegdprplugin'
                  class=" toggle-sibling">
                  VueGdprPlugin
                  <span class='icon'>▸</span>
                </a>
                
                <div class='toggle-target display-none'>
                  
                  <ul class='list-reset py1-ul pl1'>
                    <li class='h5'><span>Static members</span></li>
                    
                      <li><a
                        href='#vuegdprpluginname'
                        class='regular pre-open'>
                        .name
                      </a></li>
                    
                      <li><a
                        href='#vuegdprpluginproduction'
                        class='regular pre-open'>
                        .production
                      </a></li>
                    
                      <li><a
                        href='#vuegdprplugininstall'
                        class='regular pre-open'>
                        .install
                      </a></li>
                    
                    </ul>
                  
                  
                  
                  
                </div>
                
                </li>
              
                
                <li><a
                  href='#getcookie'
                  class="">
                  getCookie
                  
                </a>
                
                </li>
              
                
                <li><a
                  href='#setcookie'
                  class="">
                  setCookie
                  
                </a>
                
                </li>
              
            </ul>
          </div>
          <div class='mt1 h6 quiet'>
            <a href='https://documentation.js.org/reading-documentation.html'>Need help reading this?</a>
          </div>
        </div>
      </div>
      <div id='split-right' class='relative overflow-auto height-viewport-100'>
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='gdpr'>
      gdpr
    </h3>
    
    
  </div>
  

  
    <div class='pre p1 fill-light mt0'>gdpr</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  
    <div class='py1 quiet mt1 prose-big'>Static Members</div>
    <div class="clearfix">
  
    <div class='border-bottom' id='gdprcookie_name'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>cookie_name</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Cookie name.</p>

    <div class='pre p1 fill-light mt0'>cookie_name</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprisbarvisible'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>isBarVisible</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Default bar visibility.</p>

    <div class='pre p1 fill-light mt0'>isBarVisible</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprismodalvisible'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>isModalVisible</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Default modal visibility.</p>

    <div class='pre p1 fill-light mt0'>isModalVisible</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprlevels'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>levels</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Levels definition.</p>

    <div class='pre p1 fill-light mt0'>levels</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
</div>

  

  

  

  
</section>

          
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='gdprbar'>
      GdprBar
    </h3>
    
    
  </div>
  

  
    <div class='pre p1 fill-light mt0'>GdprBar</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  
    <div class='py1 quiet mt1 prose-big'>Static Members</div>
    <div class="clearfix">
  
    <div class='border-bottom' id='gdprbarname'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>name</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>name</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprbarprops'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>props</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>props</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprbardata'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>data()</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>data()</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprbarcomputed'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>computed</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>computed</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprbarwatch'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>watch</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>watch</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprbarmethods'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>methods</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>methods</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprbarmounted'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>mounted()</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>mounted()</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
</div>

  

  

  

  
</section>

          
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='gdprmodal'>
      GdprModal
    </h3>
    
    
  </div>
  

  
    <div class='pre p1 fill-light mt0'>GdprModal</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  
    <div class='py1 quiet mt1 prose-big'>Static Members</div>
    <div class="clearfix">
  
    <div class='border-bottom' id='gdprmodalname'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>name</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>name</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprmodalprops'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>props</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>props</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprmodaldata'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>data()</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>data()</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprmodalcomputed'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>computed</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>computed</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprmodalwatch'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>watch</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>watch</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprmodalmethods'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>methods</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>methods</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='gdprmodalmounted'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>mounted()</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>mounted()</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
</div>

  

  

  

  
</section>

          
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='deletecookie'>
      deleteCookie
    </h3>
    
    
  </div>
  

  <p>Delete cookie.</p>

    <div class='pre p1 fill-light mt0'>deleteCookie(name: any)</div>
  
  

  
  
  
  
  
  

  
    <div class='py1 quiet mt1 prose-big'>Parameters</div>
    <div class='prose'>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>name</span> <code class='quiet'>(any)</code>
	    
          </div>
          
        </div>
      
    </div>
  

  

  

  

  

  

  

  

  
</section>

          
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='vuegdprplugin'>
      VueGdprPlugin
    </h3>
    
    
  </div>
  

  
    <div class='pre p1 fill-light mt0'>VueGdprPlugin</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  
    <div class='py1 quiet mt1 prose-big'>Static Members</div>
    <div class="clearfix">
  
    <div class='border-bottom' id='vuegdprpluginname'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>name</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>name</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='vuegdprpluginproduction'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>production</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>production</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='vuegdprplugininstall'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>install(Vue, options)</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>install(Vue: any, options: any)</div>
  
  

  
  
  
  
  
  

  
    <div class='py1 quiet mt1 prose-big'>Parameters</div>
    <div class='prose'>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>Vue</span> <code class='quiet'>(any)</code>
	    
          </div>
          
        </div>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>options</span> <code class='quiet'>(any
            = <code>{}</code>)</code>
	    
          </div>
          
        </div>
      
    </div>
  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
</div>

  

  

  

  
</section>

          
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='getcookie'>
      getCookie
    </h3>
    
    
  </div>
  

  <p>Get cookie.</p>

    <div class='pre p1 fill-light mt0'>getCookie(name: any): any</div>
  
  

  
  
  
  
  
  

  
    <div class='py1 quiet mt1 prose-big'>Parameters</div>
    <div class='prose'>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>name</span> <code class='quiet'>(any)</code>
	    
          </div>
          
        </div>
      
    </div>
  

  

  
    
      <div class='py1 quiet mt1 prose-big'>Returns</div>
      <code>any</code>:
        

      
    
  

  

  

  

  

  

  
</section>

          
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='setcookie'>
      setCookie
    </h3>
    
    
  </div>
  

  <p>Set cookie.</p>

    <div class='pre p1 fill-light mt0'>setCookie(name: any, value: any, days: any)</div>
  
  

  
  
  
  
  
  

  
    <div class='py1 quiet mt1 prose-big'>Parameters</div>
    <div class='prose'>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>name</span> <code class='quiet'>(any)</code>
	    
          </div>
          
        </div>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>value</span> <code class='quiet'>(any)</code>
	    
          </div>
          
        </div>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>days</span> <code class='quiet'>(any
            = <code>1</code>)</code>
	    
          </div>
          
        </div>
      
    </div>
  

  

  

  

  

  

  

  

  
</section>

          
        
      </div>
    </div>
  <script src='assets/anchor.js'></script>
  <script src='assets/split.js'></script>
  <script src='assets/site.js'></script>
</body>
</html>
